package com.dgtis.dorm.manager.db.domain;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

public class AlumniOrganizeUserExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public AlumniOrganizeUserExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andFkOrganizeIdIsNull() {
            addCriterion("fk_organize_id is null");
            return (Criteria) this;
        }

        public Criteria andFkOrganizeIdIsNotNull() {
            addCriterion("fk_organize_id is not null");
            return (Criteria) this;
        }

        public Criteria andFkOrganizeIdEqualTo(Integer value) {
            addCriterion("fk_organize_id =", value, "fkOrganizeId");
            return (Criteria) this;
        }

        public Criteria andFkOrganizeIdNotEqualTo(Integer value) {
            addCriterion("fk_organize_id <>", value, "fkOrganizeId");
            return (Criteria) this;
        }

        public Criteria andFkOrganizeIdGreaterThan(Integer value) {
            addCriterion("fk_organize_id >", value, "fkOrganizeId");
            return (Criteria) this;
        }

        public Criteria andFkOrganizeIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("fk_organize_id >=", value, "fkOrganizeId");
            return (Criteria) this;
        }

        public Criteria andFkOrganizeIdLessThan(Integer value) {
            addCriterion("fk_organize_id <", value, "fkOrganizeId");
            return (Criteria) this;
        }

        public Criteria andFkOrganizeIdLessThanOrEqualTo(Integer value) {
            addCriterion("fk_organize_id <=", value, "fkOrganizeId");
            return (Criteria) this;
        }

        public Criteria andFkOrganizeIdIn(List<Integer> values) {
            addCriterion("fk_organize_id in", values, "fkOrganizeId");
            return (Criteria) this;
        }

        public Criteria andFkOrganizeIdNotIn(List<Integer> values) {
            addCriterion("fk_organize_id not in", values, "fkOrganizeId");
            return (Criteria) this;
        }

        public Criteria andFkOrganizeIdBetween(Integer value1, Integer value2) {
            addCriterion("fk_organize_id between", value1, value2, "fkOrganizeId");
            return (Criteria) this;
        }

        public Criteria andFkOrganizeIdNotBetween(Integer value1, Integer value2) {
            addCriterion("fk_organize_id not between", value1, value2, "fkOrganizeId");
            return (Criteria) this;
        }

        public Criteria andFkUserIdIsNull() {
            addCriterion("fk_user_id is null");
            return (Criteria) this;
        }

        public Criteria andFkUserIdIsNotNull() {
            addCriterion("fk_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andFkUserIdEqualTo(Integer value) {
            addCriterion("fk_user_id =", value, "fkUserId");
            return (Criteria) this;
        }

        public Criteria andFkUserIdNotEqualTo(Integer value) {
            addCriterion("fk_user_id <>", value, "fkUserId");
            return (Criteria) this;
        }

        public Criteria andFkUserIdGreaterThan(Integer value) {
            addCriterion("fk_user_id >", value, "fkUserId");
            return (Criteria) this;
        }

        public Criteria andFkUserIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("fk_user_id >=", value, "fkUserId");
            return (Criteria) this;
        }

        public Criteria andFkUserIdLessThan(Integer value) {
            addCriterion("fk_user_id <", value, "fkUserId");
            return (Criteria) this;
        }

        public Criteria andFkUserIdLessThanOrEqualTo(Integer value) {
            addCriterion("fk_user_id <=", value, "fkUserId");
            return (Criteria) this;
        }

        public Criteria andFkUserIdIn(List<Integer> values) {
            addCriterion("fk_user_id in", values, "fkUserId");
            return (Criteria) this;
        }

        public Criteria andFkUserIdNotIn(List<Integer> values) {
            addCriterion("fk_user_id not in", values, "fkUserId");
            return (Criteria) this;
        }

        public Criteria andFkUserIdBetween(Integer value1, Integer value2) {
            addCriterion("fk_user_id between", value1, value2, "fkUserId");
            return (Criteria) this;
        }

        public Criteria andFkUserIdNotBetween(Integer value1, Integer value2) {
            addCriterion("fk_user_id not between", value1, value2, "fkUserId");
            return (Criteria) this;
        }

        public Criteria andIsNormalIsNull() {
            addCriterion("is_normal is null");
            return (Criteria) this;
        }

        public Criteria andIsNormalIsNotNull() {
            addCriterion("is_normal is not null");
            return (Criteria) this;
        }

        public Criteria andIsNormalEqualTo(String value) {
            addCriterion("is_normal =", value, "isNormal");
            return (Criteria) this;
        }

        public Criteria andIsNormalNotEqualTo(String value) {
            addCriterion("is_normal <>", value, "isNormal");
            return (Criteria) this;
        }

        public Criteria andIsNormalGreaterThan(String value) {
            addCriterion("is_normal >", value, "isNormal");
            return (Criteria) this;
        }

        public Criteria andIsNormalGreaterThanOrEqualTo(String value) {
            addCriterion("is_normal >=", value, "isNormal");
            return (Criteria) this;
        }

        public Criteria andIsNormalLessThan(String value) {
            addCriterion("is_normal <", value, "isNormal");
            return (Criteria) this;
        }

        public Criteria andIsNormalLessThanOrEqualTo(String value) {
            addCriterion("is_normal <=", value, "isNormal");
            return (Criteria) this;
        }

        public Criteria andIsNormalLike(String value) {
            addCriterion("is_normal like", value, "isNormal");
            return (Criteria) this;
        }

        public Criteria andIsNormalNotLike(String value) {
            addCriterion("is_normal not like", value, "isNormal");
            return (Criteria) this;
        }

        public Criteria andIsNormalIn(List<String> values) {
            addCriterion("is_normal in", values, "isNormal");
            return (Criteria) this;
        }

        public Criteria andIsNormalNotIn(List<String> values) {
            addCriterion("is_normal not in", values, "isNormal");
            return (Criteria) this;
        }

        public Criteria andIsNormalBetween(String value1, String value2) {
            addCriterion("is_normal between", value1, value2, "isNormal");
            return (Criteria) this;
        }

        public Criteria andIsNormalNotBetween(String value1, String value2) {
            addCriterion("is_normal not between", value1, value2, "isNormal");
            return (Criteria) this;
        }

        public Criteria andPriTypeIsNull() {
            addCriterion("pri_type is null");
            return (Criteria) this;
        }

        public Criteria andPriTypeIsNotNull() {
            addCriterion("pri_type is not null");
            return (Criteria) this;
        }

        public Criteria andPriTypeEqualTo(String value) {
            addCriterion("pri_type =", value, "priType");
            return (Criteria) this;
        }

        public Criteria andPriTypeNotEqualTo(String value) {
            addCriterion("pri_type <>", value, "priType");
            return (Criteria) this;
        }

        public Criteria andPriTypeGreaterThan(String value) {
            addCriterion("pri_type >", value, "priType");
            return (Criteria) this;
        }

        public Criteria andPriTypeGreaterThanOrEqualTo(String value) {
            addCriterion("pri_type >=", value, "priType");
            return (Criteria) this;
        }

        public Criteria andPriTypeLessThan(String value) {
            addCriterion("pri_type <", value, "priType");
            return (Criteria) this;
        }

        public Criteria andPriTypeLessThanOrEqualTo(String value) {
            addCriterion("pri_type <=", value, "priType");
            return (Criteria) this;
        }

        public Criteria andPriTypeLike(String value) {
            addCriterion("pri_type like", value, "priType");
            return (Criteria) this;
        }

        public Criteria andPriTypeNotLike(String value) {
            addCriterion("pri_type not like", value, "priType");
            return (Criteria) this;
        }

        public Criteria andPriTypeIn(List<String> values) {
            addCriterion("pri_type in", values, "priType");
            return (Criteria) this;
        }

        public Criteria andPriTypeNotIn(List<String> values) {
            addCriterion("pri_type not in", values, "priType");
            return (Criteria) this;
        }

        public Criteria andPriTypeBetween(String value1, String value2) {
            addCriterion("pri_type between", value1, value2, "priType");
            return (Criteria) this;
        }

        public Criteria andPriTypeNotBetween(String value1, String value2) {
            addCriterion("pri_type not between", value1, value2, "priType");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("create_date is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("create_date is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(LocalDateTime value) {
            addCriterion("create_date =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(LocalDateTime value) {
            addCriterion("create_date <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(LocalDateTime value) {
            addCriterion("create_date >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("create_date >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(LocalDateTime value) {
            addCriterion("create_date <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("create_date <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<LocalDateTime> values) {
            addCriterion("create_date in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<LocalDateTime> values) {
            addCriterion("create_date not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("create_date between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("create_date not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdIsNull() {
            addCriterion("auth_user_id is null");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdIsNotNull() {
            addCriterion("auth_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdEqualTo(Integer value) {
            addCriterion("auth_user_id =", value, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdNotEqualTo(Integer value) {
            addCriterion("auth_user_id <>", value, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdGreaterThan(Integer value) {
            addCriterion("auth_user_id >", value, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("auth_user_id >=", value, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdLessThan(Integer value) {
            addCriterion("auth_user_id <", value, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdLessThanOrEqualTo(Integer value) {
            addCriterion("auth_user_id <=", value, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdIn(List<Integer> values) {
            addCriterion("auth_user_id in", values, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdNotIn(List<Integer> values) {
            addCriterion("auth_user_id not in", values, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdBetween(Integer value1, Integer value2) {
            addCriterion("auth_user_id between", value1, value2, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthUserIdNotBetween(Integer value1, Integer value2) {
            addCriterion("auth_user_id not between", value1, value2, "authUserId");
            return (Criteria) this;
        }

        public Criteria andAuthDateIsNull() {
            addCriterion("auth_date is null");
            return (Criteria) this;
        }

        public Criteria andAuthDateIsNotNull() {
            addCriterion("auth_date is not null");
            return (Criteria) this;
        }

        public Criteria andAuthDateEqualTo(LocalDateTime value) {
            addCriterion("auth_date =", value, "authDate");
            return (Criteria) this;
        }

        public Criteria andAuthDateNotEqualTo(LocalDateTime value) {
            addCriterion("auth_date <>", value, "authDate");
            return (Criteria) this;
        }

        public Criteria andAuthDateGreaterThan(LocalDateTime value) {
            addCriterion("auth_date >", value, "authDate");
            return (Criteria) this;
        }

        public Criteria andAuthDateGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("auth_date >=", value, "authDate");
            return (Criteria) this;
        }

        public Criteria andAuthDateLessThan(LocalDateTime value) {
            addCriterion("auth_date <", value, "authDate");
            return (Criteria) this;
        }

        public Criteria andAuthDateLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("auth_date <=", value, "authDate");
            return (Criteria) this;
        }

        public Criteria andAuthDateIn(List<LocalDateTime> values) {
            addCriterion("auth_date in", values, "authDate");
            return (Criteria) this;
        }

        public Criteria andAuthDateNotIn(List<LocalDateTime> values) {
            addCriterion("auth_date not in", values, "authDate");
            return (Criteria) this;
        }

        public Criteria andAuthDateBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("auth_date between", value1, value2, "authDate");
            return (Criteria) this;
        }

        public Criteria andAuthDateNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("auth_date not between", value1, value2, "authDate");
            return (Criteria) this;
        }

        public Criteria andAuthMemoIsNull() {
            addCriterion("auth_memo is null");
            return (Criteria) this;
        }

        public Criteria andAuthMemoIsNotNull() {
            addCriterion("auth_memo is not null");
            return (Criteria) this;
        }

        public Criteria andAuthMemoEqualTo(String value) {
            addCriterion("auth_memo =", value, "authMemo");
            return (Criteria) this;
        }

        public Criteria andAuthMemoNotEqualTo(String value) {
            addCriterion("auth_memo <>", value, "authMemo");
            return (Criteria) this;
        }

        public Criteria andAuthMemoGreaterThan(String value) {
            addCriterion("auth_memo >", value, "authMemo");
            return (Criteria) this;
        }

        public Criteria andAuthMemoGreaterThanOrEqualTo(String value) {
            addCriterion("auth_memo >=", value, "authMemo");
            return (Criteria) this;
        }

        public Criteria andAuthMemoLessThan(String value) {
            addCriterion("auth_memo <", value, "authMemo");
            return (Criteria) this;
        }

        public Criteria andAuthMemoLessThanOrEqualTo(String value) {
            addCriterion("auth_memo <=", value, "authMemo");
            return (Criteria) this;
        }

        public Criteria andAuthMemoLike(String value) {
            addCriterion("auth_memo like", value, "authMemo");
            return (Criteria) this;
        }

        public Criteria andAuthMemoNotLike(String value) {
            addCriterion("auth_memo not like", value, "authMemo");
            return (Criteria) this;
        }

        public Criteria andAuthMemoIn(List<String> values) {
            addCriterion("auth_memo in", values, "authMemo");
            return (Criteria) this;
        }

        public Criteria andAuthMemoNotIn(List<String> values) {
            addCriterion("auth_memo not in", values, "authMemo");
            return (Criteria) this;
        }

        public Criteria andAuthMemoBetween(String value1, String value2) {
            addCriterion("auth_memo between", value1, value2, "authMemo");
            return (Criteria) this;
        }

        public Criteria andAuthMemoNotBetween(String value1, String value2) {
            addCriterion("auth_memo not between", value1, value2, "authMemo");
            return (Criteria) this;
        }

        public Criteria andIsDeleteIsNull() {
            addCriterion("is_delete is null");
            return (Criteria) this;
        }

        public Criteria andIsDeleteIsNotNull() {
            addCriterion("is_delete is not null");
            return (Criteria) this;
        }

        public Criteria andIsDeleteEqualTo(Boolean value) {
            addCriterion("is_delete =", value, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteNotEqualTo(Boolean value) {
            addCriterion("is_delete <>", value, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteGreaterThan(Boolean value) {
            addCriterion("is_delete >", value, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteGreaterThanOrEqualTo(Boolean value) {
            addCriterion("is_delete >=", value, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteLessThan(Boolean value) {
            addCriterion("is_delete <", value, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteLessThanOrEqualTo(Boolean value) {
            addCriterion("is_delete <=", value, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteIn(List<Boolean> values) {
            addCriterion("is_delete in", values, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteNotIn(List<Boolean> values) {
            addCriterion("is_delete not in", values, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteBetween(Boolean value1, Boolean value2) {
            addCriterion("is_delete between", value1, value2, "isDelete");
            return (Criteria) this;
        }

        public Criteria andIsDeleteNotBetween(Boolean value1, Boolean value2) {
            addCriterion("is_delete not between", value1, value2, "isDelete");
            return (Criteria) this;
        }

        public Criteria andDeleteMemoIsNull() {
            addCriterion("delete_memo is null");
            return (Criteria) this;
        }

        public Criteria andDeleteMemoIsNotNull() {
            addCriterion("delete_memo is not null");
            return (Criteria) this;
        }

        public Criteria andDeleteMemoEqualTo(String value) {
            addCriterion("delete_memo =", value, "deleteMemo");
            return (Criteria) this;
        }

        public Criteria andDeleteMemoNotEqualTo(String value) {
            addCriterion("delete_memo <>", value, "deleteMemo");
            return (Criteria) this;
        }

        public Criteria andDeleteMemoGreaterThan(String value) {
            addCriterion("delete_memo >", value, "deleteMemo");
            return (Criteria) this;
        }

        public Criteria andDeleteMemoGreaterThanOrEqualTo(String value) {
            addCriterion("delete_memo >=", value, "deleteMemo");
            return (Criteria) this;
        }

        public Criteria andDeleteMemoLessThan(String value) {
            addCriterion("delete_memo <", value, "deleteMemo");
            return (Criteria) this;
        }

        public Criteria andDeleteMemoLessThanOrEqualTo(String value) {
            addCriterion("delete_memo <=", value, "deleteMemo");
            return (Criteria) this;
        }

        public Criteria andDeleteMemoLike(String value) {
            addCriterion("delete_memo like", value, "deleteMemo");
            return (Criteria) this;
        }

        public Criteria andDeleteMemoNotLike(String value) {
            addCriterion("delete_memo not like", value, "deleteMemo");
            return (Criteria) this;
        }

        public Criteria andDeleteMemoIn(List<String> values) {
            addCriterion("delete_memo in", values, "deleteMemo");
            return (Criteria) this;
        }

        public Criteria andDeleteMemoNotIn(List<String> values) {
            addCriterion("delete_memo not in", values, "deleteMemo");
            return (Criteria) this;
        }

        public Criteria andDeleteMemoBetween(String value1, String value2) {
            addCriterion("delete_memo between", value1, value2, "deleteMemo");
            return (Criteria) this;
        }

        public Criteria andDeleteMemoNotBetween(String value1, String value2) {
            addCriterion("delete_memo not between", value1, value2, "deleteMemo");
            return (Criteria) this;
        }

        public Criteria andDeleteDateIsNull() {
            addCriterion("delete_date is null");
            return (Criteria) this;
        }

        public Criteria andDeleteDateIsNotNull() {
            addCriterion("delete_date is not null");
            return (Criteria) this;
        }

        public Criteria andDeleteDateEqualTo(LocalDateTime value) {
            addCriterion("delete_date =", value, "deleteDate");
            return (Criteria) this;
        }

        public Criteria andDeleteDateNotEqualTo(LocalDateTime value) {
            addCriterion("delete_date <>", value, "deleteDate");
            return (Criteria) this;
        }

        public Criteria andDeleteDateGreaterThan(LocalDateTime value) {
            addCriterion("delete_date >", value, "deleteDate");
            return (Criteria) this;
        }

        public Criteria andDeleteDateGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("delete_date >=", value, "deleteDate");
            return (Criteria) this;
        }

        public Criteria andDeleteDateLessThan(LocalDateTime value) {
            addCriterion("delete_date <", value, "deleteDate");
            return (Criteria) this;
        }

        public Criteria andDeleteDateLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("delete_date <=", value, "deleteDate");
            return (Criteria) this;
        }

        public Criteria andDeleteDateIn(List<LocalDateTime> values) {
            addCriterion("delete_date in", values, "deleteDate");
            return (Criteria) this;
        }

        public Criteria andDeleteDateNotIn(List<LocalDateTime> values) {
            addCriterion("delete_date not in", values, "deleteDate");
            return (Criteria) this;
        }

        public Criteria andDeleteDateBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("delete_date between", value1, value2, "deleteDate");
            return (Criteria) this;
        }

        public Criteria andDeleteDateNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("delete_date not between", value1, value2, "deleteDate");
            return (Criteria) this;
        }

        public Criteria andIsForbiddenIsNull() {
            addCriterion("is_forbidden is null");
            return (Criteria) this;
        }

        public Criteria andIsForbiddenIsNotNull() {
            addCriterion("is_forbidden is not null");
            return (Criteria) this;
        }

        public Criteria andIsForbiddenEqualTo(Boolean value) {
            addCriterion("is_forbidden =", value, "isForbidden");
            return (Criteria) this;
        }

        public Criteria andIsForbiddenNotEqualTo(Boolean value) {
            addCriterion("is_forbidden <>", value, "isForbidden");
            return (Criteria) this;
        }

        public Criteria andIsForbiddenGreaterThan(Boolean value) {
            addCriterion("is_forbidden >", value, "isForbidden");
            return (Criteria) this;
        }

        public Criteria andIsForbiddenGreaterThanOrEqualTo(Boolean value) {
            addCriterion("is_forbidden >=", value, "isForbidden");
            return (Criteria) this;
        }

        public Criteria andIsForbiddenLessThan(Boolean value) {
            addCriterion("is_forbidden <", value, "isForbidden");
            return (Criteria) this;
        }

        public Criteria andIsForbiddenLessThanOrEqualTo(Boolean value) {
            addCriterion("is_forbidden <=", value, "isForbidden");
            return (Criteria) this;
        }

        public Criteria andIsForbiddenIn(List<Boolean> values) {
            addCriterion("is_forbidden in", values, "isForbidden");
            return (Criteria) this;
        }

        public Criteria andIsForbiddenNotIn(List<Boolean> values) {
            addCriterion("is_forbidden not in", values, "isForbidden");
            return (Criteria) this;
        }

        public Criteria andIsForbiddenBetween(Boolean value1, Boolean value2) {
            addCriterion("is_forbidden between", value1, value2, "isForbidden");
            return (Criteria) this;
        }

        public Criteria andIsForbiddenNotBetween(Boolean value1, Boolean value2) {
            addCriterion("is_forbidden not between", value1, value2, "isForbidden");
            return (Criteria) this;
        }

        public Criteria andModifyDateIsNull() {
            addCriterion("modify_date is null");
            return (Criteria) this;
        }

        public Criteria andModifyDateIsNotNull() {
            addCriterion("modify_date is not null");
            return (Criteria) this;
        }

        public Criteria andModifyDateEqualTo(LocalDateTime value) {
            addCriterion("modify_date =", value, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andModifyDateNotEqualTo(LocalDateTime value) {
            addCriterion("modify_date <>", value, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andModifyDateGreaterThan(LocalDateTime value) {
            addCriterion("modify_date >", value, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andModifyDateGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("modify_date >=", value, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andModifyDateLessThan(LocalDateTime value) {
            addCriterion("modify_date <", value, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andModifyDateLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("modify_date <=", value, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andModifyDateIn(List<LocalDateTime> values) {
            addCriterion("modify_date in", values, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andModifyDateNotIn(List<LocalDateTime> values) {
            addCriterion("modify_date not in", values, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andModifyDateBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("modify_date between", value1, value2, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andModifyDateNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("modify_date not between", value1, value2, "modifyDate");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdIsNull() {
            addCriterion("modify_user_id is null");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdIsNotNull() {
            addCriterion("modify_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdEqualTo(Integer value) {
            addCriterion("modify_user_id =", value, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdNotEqualTo(Integer value) {
            addCriterion("modify_user_id <>", value, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdGreaterThan(Integer value) {
            addCriterion("modify_user_id >", value, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("modify_user_id >=", value, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdLessThan(Integer value) {
            addCriterion("modify_user_id <", value, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdLessThanOrEqualTo(Integer value) {
            addCriterion("modify_user_id <=", value, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdIn(List<Integer> values) {
            addCriterion("modify_user_id in", values, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdNotIn(List<Integer> values) {
            addCriterion("modify_user_id not in", values, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdBetween(Integer value1, Integer value2) {
            addCriterion("modify_user_id between", value1, value2, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andModifyUserIdNotBetween(Integer value1, Integer value2) {
            addCriterion("modify_user_id not between", value1, value2, "modifyUserId");
            return (Criteria) this;
        }

        public Criteria andUserMemoIsNull() {
            addCriterion("user_memo is null");
            return (Criteria) this;
        }

        public Criteria andUserMemoIsNotNull() {
            addCriterion("user_memo is not null");
            return (Criteria) this;
        }

        public Criteria andUserMemoEqualTo(String value) {
            addCriterion("user_memo =", value, "userMemo");
            return (Criteria) this;
        }

        public Criteria andUserMemoNotEqualTo(String value) {
            addCriterion("user_memo <>", value, "userMemo");
            return (Criteria) this;
        }

        public Criteria andUserMemoGreaterThan(String value) {
            addCriterion("user_memo >", value, "userMemo");
            return (Criteria) this;
        }

        public Criteria andUserMemoGreaterThanOrEqualTo(String value) {
            addCriterion("user_memo >=", value, "userMemo");
            return (Criteria) this;
        }

        public Criteria andUserMemoLessThan(String value) {
            addCriterion("user_memo <", value, "userMemo");
            return (Criteria) this;
        }

        public Criteria andUserMemoLessThanOrEqualTo(String value) {
            addCriterion("user_memo <=", value, "userMemo");
            return (Criteria) this;
        }

        public Criteria andUserMemoLike(String value) {
            addCriterion("user_memo like", value, "userMemo");
            return (Criteria) this;
        }

        public Criteria andUserMemoNotLike(String value) {
            addCriterion("user_memo not like", value, "userMemo");
            return (Criteria) this;
        }

        public Criteria andUserMemoIn(List<String> values) {
            addCriterion("user_memo in", values, "userMemo");
            return (Criteria) this;
        }

        public Criteria andUserMemoNotIn(List<String> values) {
            addCriterion("user_memo not in", values, "userMemo");
            return (Criteria) this;
        }

        public Criteria andUserMemoBetween(String value1, String value2) {
            addCriterion("user_memo between", value1, value2, "userMemo");
            return (Criteria) this;
        }

        public Criteria andUserMemoNotBetween(String value1, String value2) {
            addCriterion("user_memo not between", value1, value2, "userMemo");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}